package algds.contest;

/**
 * Dieses Interface enthaelt Konstanten fuer den Editor.
 * @author Christian Semrau
 */
public interface EditorConstants{
	final static int
		EDIT_WALL = 0,
		EDIT_CORN = 1,
		EDIT_BEAMER = 2,
		EDIT_HOME = 3,
		// Anzahl der Elemente der featureList
		FEATURELIST_SIZE = 4;
	final static String[] S_EDIT = {
		"Edit Wall",
		"Edit Corn",
		"Edit Beamer",
		"Edit Home"};

	// Auswaehlbare Kornanzahlen
	final static int[] DETAIL_CORNNUMBER = {1,5};

	final static int
		DETAIL_NEWBEAMER = 0,
		DETAIL_DELBEAMER = 1,
		DETAIL_DISCONNECTBEAMER = 2,
		// Anzahl der Standardelemente der detailList fuer EDIT_BEAMER
		DETAIL_HBINDEX = 3;
	final static String[] S_DET_BEAMER = {
		"New Beamer",
		"Del Beamer",
		"Disconnect"};

	final static int
		DETAIL_SETHOME = 0,
		DETAIL_SETCENTER = 1,
		// Anzahl der Elemente der detailList fuer EDIT_HOME
		DETAIL_HOMEINDEX = 2;
	final static String[] S_DET_HOME = {
		"Set Home",
		"Set Center"};
}