package algds.contest;

import java.awt.*;
import java.awt.event.*;

/**
 * ComponentListener des ControlFrame.
 * Das frameMaze wird mitgeschleppt, wenn es verankert ist.
 * @author Christian Semrau
 * @see EngineX#createFrame(java.lang.String,boolean)
 */
public class EngineXcCL extends ComponentAdapter{
	EngineX eng;
	public EngineXcCL(EngineX ENG){
		if (ENG==null) throw new NullPointerException();
		eng = ENG;
	}

	public void componentResized(ComponentEvent ev){
		// wenn frameMaze verankert ist, folgt das Fenster
		if (eng.anchored){
			eng.ismoving = true;
			eng.positionFrame();
			eng.ismoving = false;
		}
	}
	public void componentMoved(ComponentEvent ev){
		// wenn frameMaze verankert ist, folgt das Fenster
		if (eng.anchored){
			eng.ismoving = true;
			eng.positionFrame();
			eng.ismoving = false;
		}
	}
}