package algds.contest;

/**
 * Exception wird geworfen, wenn der Hamster verhungert ist.
 * Auf diese Weise wird der Lauf des Hamsters sofort beendet.
 * Sie kann nicht vom Hamster erzeugt werden und
 * sollte nicht vom Hamster abgefangen werden!
 * @author Johannes Zander, Christian Semrau
 * @see Hamster
 */
public final class HamsterDiedException extends RuntimeException {
	/** Diese Exception kann nur innerhalb dieses packages erzeugt werden. */
	HamsterDiedException() {
		super();
	}
	/** Diese Exception kann nur innerhalb dieses packages erzeugt werden. */
	HamsterDiedException(String s) {
		super(s);
	}
}