package algds.contest;

/**
 * Exception wird geworfen, wenn der Hamster gestoppt werden soll.
 * Soll der Hamster von der Laufzeitumgebung gestoppt werden,
 * dann wird diese Exception geworfen, sobald der Hamster eine
 * der in Hamster definierten Routinen aufruft.
 * Sie kann nicht vom Hamster erzeugt werden und
 * sollte nicht vom Hamster abgefangen werden!
 * @author Christian Semrau
 * @see Hamster
 */
public final class HamsterStopException extends RuntimeException {
	/** Diese Exception kann nur innerhalb dieses packages erzeugt werden. */
	HamsterStopException() {
		super();
	}
	/** Diese Exception kann nur innerhalb dieses packages erzeugt werden. */
	HamsterStopException(String s) {
		super(s);
	}
}