package algds.contest;
import java.io.*;

/**
 * Ein Writer, der die Befehle an eine log-Methode weiterleitet.
 * @author Christian Semrau
 */
public class LogWriter extends Writer{
	Logable l;
	/** @param L Logable, dessen log-Methode verwendet werden soll.
	 * Darf auch null sein, dann wird keine Ausgabe weitergeleitet.
	 */
	public LogWriter(Logable L){
		l = L;
	}
	public void flush(){}
	public void close(){}
	public void write(char[] cbuf, int off, int len){
		if (l==null) return;
		String s = new String(cbuf, off, len);
		l.log(s);
	}
}