package algds.contest;
import java.io.*;

import java.util.Vector;

public class HamsterNames {


    


public static void main(String argv[]) {
	if (argv.length < 2) {
		System.out.println("HamsterNames: Stephan Finn, Christian Semrau 2001");
		System.out.println("Usage: HamsterNames <hamsterDir> <outFile>");
		return;
	}
	MazeNames.writeNames(getHamster(argv[0]), argv[1]);
}

public static Vector getHamster(final String dirName) {
	File f = new File(dirName);
	File[] files = f.listFiles(new FileFilter(){
		FileClassLoader fcl = new FileClassLoader(dirName);
		public boolean accept(File pathname){
			if (!pathname.getName().endsWith(".class"))
				return false;

			boolean hamsterOK=true;
			String s = pathname.getName();
			s = s.substring(0, s.length()-6);
			//System.out.print(s+" ");
			try {
				fcl.loadClass(s).newInstance();
				//System.out.println("OK");
			} catch (Exception e) {
				//System.out.println("nicht OK");
				hamsterOK=false;
			}
			return hamsterOK;
		}
	});
	if (files==null) return new Vector();
	java.util.Arrays.sort(files);

	Vector names = new Vector();
	for(int i=0; i<files.length; i++){
		String s=files[i].getName();
		int j = s.lastIndexOf('.');
		names.addElement(s.substring(0, j));
	}

	return names;
}
}