package algds.contest;

import java.awt.*;
import javax.swing.*;

/**
 * Einfaches Panel, das nur ein Image anzeigt.
 * <br>Creation date: (05.02.01 00:02:14)
 * @author Christian Semrau
 */
public final class ImagePanel extends JPanel {
	Image image;
	int w, h;

public ImagePanel(Dimension dim) {
	setPreferredSize(dim);
	setMinimumSize(dim);
	setMaximumSize(dim);
	
	setSize(dim);
	w = dim.width;
	h = dim.height;
}

/**
 * 
 * @return java.awt.Graphics
 */
public Graphics createImage() {
	image = createImage(w, h);
	return image.getGraphics();
}

/**
 * 
 * @return java.awt.Graphics
 */
public Graphics getImageGraphics() {
	return image.getGraphics();
}

public void paint(Graphics x) {
	if (image != null){
		x.drawImage(image, 0, 0, null);
	}else
		x.fillRect(0,0,getWidth(), getHeight());
}

/**
 * 
 * @param g java.awt.Graphics
 */
public void update(Graphics g) {
	paint(g);
}

}